<!--
Any HTML comment will be stripped when the markdown is rendered, so you don't need to delete them.
-->

### Pull request checklist

<!-- replace the empty checkboxes [ ] below with checked ones [x] accordingly -->

- [ ] I have **rebased** this branch on top of the destination branch (usually `master`)
- [ ] I have executed locally `./gradlew spotlessApply check` *before creating the commit* and it has run successfully
- [ ] My contribution is fully baked and ready to be merged as is
- [ ] I have performed a self-review of my own code
- [ ] These changes are in compliance with [the coding style](/CODING_STYLE.md) of this project
- [ ] There are no `WIP` commits in this PR
- [ ] If there are changes to the UI, I have uploaded at least one screenshot of every UI change

### Type of Changes

<!-- Leave the corresponding check for the applicable type of change: -->

|     | Type                   |
|-----|------------------------|
| ✓   | :bug: Bug fix          |
| ✓   | :sparkles: New feature |
| ✓   | :hammer: Refactoring   |
|     | :scroll: Docs          |

### Screenshots

<!--
Paste here screenshots of your UI changes. All screenshots must be taken in Light mode but, optionally an additional Dark mode can also be provided.
-->
